Qt 5.6 | Qt 3D | C++ Classes | QClipPlane

Qt 5.6.3 Reference Documentation

# QClipPlane Class

(Qt3DRender::QClipPlane)

Enables an additional OpenGL clipping plane that can be in shaders using gl_ClipDistance More...

Header: | #include <QClipPlane>
qmake: | QT += 3drender
Since: | Qt 5.5
Instantiated By: | ClipPlane
Inherits: | QRenderState

- List of all members, including inherited members

## Properties

- plane : int

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QClipPlane(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QClipPlane()
int | plane() const

- 1 public function inherited from Qt3DRender::QRenderState
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setPlane(int plane)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | planeChanged(int plane)

- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

Enables an additional OpenGL clipping plane that can be in shaders using gl_ClipDistance

By default, OpenGL supports up to 8 additional clipping planes. Qt3DCore::QClipPlane allows to enable one of these additional planes. These planes can then be manipulated in the shaders using gl_ClipDistance[i] where i varies between 0 and 8.

## Property Documentation

### plane : int

Access functions:

int | plane() const
void | setPlane(int plane)

Notifier signal:

void | planeChanged(int plane)

## Member Function Documentation

### QClipPlane::QClipPlane(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QClipPlane.

### QClipPlane::~QClipPlane()

Destroys the instance of QClipPlane.

### `[protected]` void QClipPlane::copy(const Qt3DCore::QNode *ref)

### int QClipPlane::plane() const

Returns the index of the clip plane.

Note: usually between 0-7

Note: Getter function for property plane.

See also setPlane().

### `[slot]` void QClipPlane::setPlane(int plane)

Sets the index of the clip plane to plane.

Note: above 7, support is not garanteed

Note: Setter function for property plane.

See also plane().